
QGIS Application - Bug report #4282

Wrong map zooming when using the "Attribute Table" zoom tool.

2011-09-13 11:44 AM - Thaddeus -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14221

Description

Testing this on QGIS 1.7.0, Win2k box: works OK on 1.6 version: regression.

The problem: one clicks on a feature found in South America and the map canvas zooms to Africa ?

It's worth noting that the CSV has some botched up conversion/parsing and contains missing coordinates that end up as lat 0.0 and lon

0.0, a kind of boundary condition, but that is a valid lat-long pair, anyway, it worked OK on QGIS 1.6.

Associated revisions

Revision ef9e214c - 2011-10-01 01:18 AM - Jürgen Fischer

fix #4282

Revision f7c34690 - 2011-11-13 11:37 AM - Jürgen Fischer

fix #4282

History

#1 - 2011-09-13 11:45 AM - Thaddeus -

- File Test.zip added

#2 - 2011-09-30 02:19 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:ef9e214

Files

WrongZooming01.png 45.3 KB 2011-09-13 Thaddeus -

Test.zip 34.8 KB 2011-09-13 Thaddeus -
